import { TableCell, TableRow } from "@mui/material";

export function DeviceInfoProperty(p: {
  icon?: React.ReactElement;
  label: string;
  value: string | React.ReactElement;
  color?: string;
}): React.ReactElement {
  return (
    <TableRow hover sx={{ "&:last-child td, &:last-child th": { border: 0 } }}>
      <TableCell>{p.label}</TableCell>
      <TableCell style={{ color: p.color }}>{p.value}</TableCell>
    </TableRow>
  );
}
