import { Button } from "@mui/material";
import { RouterLink } from "../widgets/RouterLink";

export function NotFoundRoute(): React.ReactElement {
  return (
    <div
      style={{
        textAlign: "center",
        flex: "1",
        display: "flex",
        flexDirection: "column",
        justifyContent: "center",
        alignItems: "center",
      }}
    >
      <h1>404 Not found</h1>
      <p>The page you requested was not found!</p>
      <RouterLink to="/">
        <Button>Go back home</Button>
      </RouterLink>
    </div>
  );
}
