# ESP32 device

ESP32 client device, using `W32-ETH01` device

## Some commands

Create a new firmware build:

```bash
idf.py build
```

Upload firmware to central backend, in dev mode:

```bash
curl -k -X POST  https://localhost:8443/web_api/ota/Wt32-Eth01/$(cat version.txt) --form firmware="@build/main.bin"
curl -k -X POST  https://localhost:8443/web_api/ota/set_desired_version --header "Content-Type: application/json" --data "{\"platform\": \"Wt32-Eth01\", \"version\": \"$(cat version.txt)\"}"
```