use crate::app_config::AppConfig;
use actix_web::HttpResponse;

pub async fn unsecure_home() -> HttpResponse {
    HttpResponse::Ok()
        .content_type("text/plain")
        .body("SolarEnergy unsecure central backend")
}

pub async fn secure_origin() -> HttpResponse {
    HttpResponse::Ok().body(AppConfig::get().secure_origin())
}
