#pragma once

/**
 * Device reference
 */
#define DEV_REFERENCE "Wt32-Eth01"

/**
 * Backend unsecure API URL
 */
#define BACKEND_UNSECURE_URL "http://central.internal:8080"

/**
 * Device name len
 */
#define DEV_NAME_LEN 10

/**
 * Private key max length
 */
#define PRV_KEY_DER_MAX_BYTES 1500

/**
 * Root CA max length
 */
#define ROOT_CA_MAX_BYTES 3000

/**
 * Device certificate max length
 */
#define DEV_CERT_MAX_BYTES 3000

/**
 * Secure origin len
 */
#define SEC_ORIG_LEN 255

/**
 * Interval of time (in seconds) between two synchronisations
 */
#define SYNC_TIME_INTERVAL 5

/**
 * OTA download timeout (in milliseconds)
 */
#define OTA_REC_TIMEOUT 15000