/**
 * OTA functions
 */

#pragma once

#include <stddef.h>
#include <stdbool.h>

#ifdef __cplusplus
extern "C"
{
#endif

    /**
     * Update device to a desired version
     *
     * Returns TRUE in case of success / FALSE otherwise
     */
    bool ota_perform_update(const char *version);

#ifdef __cplusplus
}
#endif
