/**
 * System functions
 */

#pragma once

#include "stddef.h"

#ifdef __cplusplus
extern "C"
{
#endif

    /**
     * Get sum of free memory in chip
     */
    size_t system_show_free_memory();

    /**
     * Sleep for a given amount of time
     */
    void system_sleep(size_t secs);

    /**
     * Reboot ESP32
     */
    void reboot();

#ifdef __cplusplus
}
#endif
